Bug 114988 - possibly missing return statement ?
possibly missing return statement ?
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: less (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-05 04:46 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-08 06:13:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-02-05 04:46:50 EST
Description of problem:

I just tried to compile package less-378-11.1 from Redhat
Fedora Core 1.

The compiler said

1.

unify.c(1413): warning #1011: missing return statement at end of
non-void function "chisvalid_cs"

What happens if none of the if conditions in the function chisvalid_cs
are true, and fall thru occurs ?

Is this scenario impossible to occur ?



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Karsten Hopp 2004-12-08 06:13:49 EST
less-382 from FC1-updates doesn't have this problem 

Note You need to log in before you can comment on or make changes to this bug.